**********************
*PLEASE CITE PAPER AS:
*Zarach, Z. H., Parteka, A. (2023). Productivity effects of trade in natural resources – comparison with mechanisms of technological specialization. The World Economy

***********************************************
*IF YOU USE REPLICATION PACKAGE PLEASE CITE AS:
*Zarach, Z. H., & Parteka, A. (2023). Data accompanying the paper: "Productivity effects of trade in natural resources – comparison with mechanisms of technological specialization" (Zarach and Parteka, The World Economy, 2023) [Data set]. Gdańsk University of Technology. https://doi.org/10.34808/2cf4-9e23

*****************************************************************
*THIS DO.FILE CREATES SELECTED TABLES WITH DESCRIPTIVE STATISTICS
*****************************************************************
clear all
set more off
cd "D:\NR_PRODUCTIVITY"
**********
*MAIN TEXT
**********

//Table 1//
use "DATA\TheWorldEconomy_ZarachParteka_FinalData.dta", clear 
keep if year==1996
foreach k in FOUR_IR ICT TECH FUEL METAL MINERAL FORESTRY TOTAL_NR {
extremes RCA`k' countrycode, n(10) high
count if RCA`k'>1 & RCA`k'!=.
}
//Table 2//
use "DATA\TheWorldEconomy_ZarachParteka_FinalData.dta", clear 
keep if year==2018
foreach k in FOUR_IR ICT TECH FUEL METAL MINERAL FORESTRY TOTAL_NR {
extremes RCA`k' countrycode, n(10) high
count if RCA`k'>1 & RCA`k'!=.
}
***********
*APPENDIX A
***********
use "DATA\TheWorldEconomy_ZarachParteka_FinalData.dta", clear 

//Table A.2// 
pwcorr shareFOUR_IR shareICT shareTECH shareTOTAL_NR shareFUEL shareFORESTRY shareMINERAL shareMETAL total oil gas forest mineral coal RDexpend INV HC, star(.01)   
//Table A.3//
*FULL SAMPLE
sum glabprod_res shareFOUR_IR shareICT shareTECH shareTOTAL_NR shareFUEL shareFORESTRY shareMINERAL shareMETAL total oil gas forest mineral coal RDexpend INV HC
*DEVELOPED COUNTRIES
sum glabprod_res shareFOUR_IR shareICT shareTECH shareTOTAL_NR shareFUEL shareFORESTRY shareMINERAL shareMETAL total oil gas forest mineral coal RDexpend INV HC if developed==1
*DEVELOPING COUNTRIES
sum glabprod_res shareFOUR_IR shareICT shareTECH shareTOTAL_NR shareFUEL shareFORESTRY shareMINERAL shareMETAL total oil gas forest mineral coal RDexpend INV HC if developed!=1

//Table A.6// 
xtset countryid year
foreach k in TOTAL_NR FUEL FOREST METAL MINERAL {
reg share`k' l.share`k'
}

//Table A.7// 
*Creating relative version of labour producitvity variable
gen labprodUSA = labprod if countrycode=="USA"
la var labprodUSA "Labour productivity for USA"
xtset year countryid
xfill labprodUSA, i(year)
gen labprod_relative = labprod/labprodUSA
la var labprod_relative "Labour productivity expressed in relative form (USA=1)"
sort countrycode year

pwcorr labprod_relative ctfp, star(.01)

//Table A.8//
*FULL SAMPLE
pwcorr shareTOTAL_NR shareFOUR_IR shareICT shareTECH if year==1996, star(.01) 
pwcorr shareTOTAL_NR shareFOUR_IR shareICT shareTECH if year==2018, star(.01) 
*DEVELOPED COUNTRIES
pwcorr shareTOTAL_NR shareFOUR_IR shareICT shareTECH if year==1996 & developed==1, star(.01) 
pwcorr shareTOTAL_NR shareFOUR_IR shareICT shareTECH if year==2018 & developed==1, star(.01) 
*DEVELOPING COUNTRIES
pwcorr shareTOTAL_NR shareFOUR_IR shareICT shareTECH if year==1996 & developed!=1, star(.01) 
pwcorr shareTOTAL_NR shareFOUR_IR shareICT shareTECH if year==2018 & developed!=1, star(.01) 

